import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.webrenderer.*;


public class TestBrowser {
	
	IBrowserCanvas browser;
	IBrowserCanvas browser2;
	JTextField textfield;

	public TestBrowser() {
		JFrame frame = new JFrame();
		
		frame.setContentPane(content());
		frame.setSize(600, 400);
		frame.setVisible(true);
	}
	public JTabbedPane content() {
		JTabbedPane tabbedPane = new JTabbedPane();
		
		textfield = new JTextField();
		
		textfield.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e){
				browser.loadURL(textfield.getText());
			}
		});
		
		//Must be called to stop License dialog
		BrowserFactory.setLicenseData("30dtrial", "CTR0GICPM7M0D89AE38LIK42");		

		//Core function to create browser
		browser = BrowserFactory.spawnInternetExplorer();
		browser2 = BrowserFactory.spawnInternetExplorer();

		browser.loadURL("www.google.com");
		browser2.loadURL("www.yahoo.com");

		tabbedPane.add("www.google.com", (Canvas)browser);
		tabbedPane.add("Blank JPanel", new JPanel());
		tabbedPane.add("www.yahoo.com", (Canvas)browser2);
	
		return tabbedPane;
	}
	public static void main(String[] args) {
		new TestBrowser();
	}
}
